### Constructor

# St Adjustment new

#### Declaration [src]

    StAdjustment*
    st_adjustment_new (
      ClutterActor* actor,
      gdouble value,
      gdouble lower,
      gdouble upper,
      gdouble step_increment,
      gdouble page_increment,
      gdouble page_size
    )

#### Description [src]

Creates a new `StAdjustment`.

#### Parameters

`actor`

  Type: `ClutterActor`

  A `ClutterActor`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`value`

  Type: `gdouble`

  The initial value.

`lower`

  Type: `gdouble`

  The minimum value.

`upper`

  Type: `gdouble`

  The maximum value.

`step_increment`

  Type: `gdouble`

  The step increment.

`page_increment`

  Type: `gdouble`

  The page increment.

`page_size`

  Type: `gdouble`

  The page size.

#### Return value

Type: `StAdjustment`

A new `StAdjustment`.

The caller of the function takes ownership of the data, and is responsible for freeing it.